{{- define "keycloak.exporter.container" -}}
- name: keycloak-exporter
  image: "{{ .Values.keycloak.exporter.image.registry }}/{{ .Values.keycloak.exporter.image.name }}:{{ .Values.keycloak.exporter.image.tag }}"
  imagePullPolicy: {{ .Values.keycloak.exporter.imagePullPolicy | default "IfNotPresent" }}
  volumeMounts:
    - name: keycloak-exporter
      mountPath: /opt/share/keycloak-exporter
  command:
    - /bin/sh
    - "-c"
    - |
       mkdir -p /opt/share/keycloak-exporter
       ls -la /opt/keycloak-exporter
       cp /opt/keycloak-exporter/keycloak-metrics-spi.jar /opt/share/keycloak-exporter/
       chmod 644 /opt/share/keycloak-exporter/keycloak-metrics-spi.jar
       chown 1000:1000 /opt/share/keycloak-exporter/keycloak-metrics-spi.jar
       ls -la /opt/share/keycloak-exporter
{{- end -}}



{{- define "keycloak.exporter.mount" -}}
- name: keycloak-exporter
  mountPath: /opt/jboss/keycloak/standalone/deployments/keycloak-metrics-spi.jar
  subPath: keycloak-metrics-spi.jar
{{- end -}}


{{- define "keycloak.exporter.volume" -}}
- name: keycloak-exporter
  emptyDir: {}
{{- end -}}

